<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Sensor Status</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Sensor Status<div class="ingroups"><a class="el" href="group__bmp3.html">BMP3</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Read status of the sensor.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Sensor Status:</div>
<div class="dyncontent">
<div class="center"><img src="group__bmp3ApiStatus.png" border="0" usemap="#group____bmp3ApiStatus" alt=""/></div>
<map name="group____bmp3ApiStatus" id="group____bmp3ApiStatus">
<area shape="rect" href="group__bmp3.html" title=" " alt="" coords="5,5,64,31"/>
<area shape="rect" title="Read status of the sensor." alt="" coords="112,5,223,31"/>
</map>
</div>
<p>Read status of the sensor. </p>


<h3><a id="bmp3_api_bmp3_get_status"></a>bmp3_get_status</h3><div class="textblock"><div class="fragment"><div class="line">int8_t <a class="code" href="bmp3_8c.html#a61fadb14757875e006860607719e47f0">bmp3_get_status</a>(<span class="keyword">struct</span> <a class="code" href="structbmp3__status.html">bmp3_status</a> *status, <span class="keyword">struct</span> <a class="code" href="structbmp3__dev.html">bmp3_dev</a> *dev);</div>
</div><!-- fragment -->This API gets the command ready, data ready for pressure and temperature and interrupt (fifo watermark, fifo full, data ready) and error status from the sensor.<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">status</td><td>: Structure instance of <a class="el" href="structbmp3__status.html" title="bmp3 status flags">bmp3_status</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dev</td><td>: Structure instance of <a class="el" href="structbmp3__dev.html" title="bmp3 device structure">bmp3_dev</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Result of API execution status. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>-&gt; Success </td></tr>
    <tr><td class="paramname">&lt;0</td><td>-&gt; Error </td></tr>
  </table>
  </dd>
</dl>
</div></div><!-- contents -->
<div class="ttc" id="abmp3_8c_html_a61fadb14757875e006860607719e47f0"><div class="ttname"><a href="bmp3_8c.html#a61fadb14757875e006860607719e47f0">bmp3_get_status</a></div><div class="ttdeci">int8_t bmp3_get_status(struct bmp3_status *status, struct bmp3_dev *dev)</div><div class="ttdoc">This API gets the command ready, data ready for pressure and temperature and interrupt (fifo watermar...</div><div class="ttdef"><b>Definition:</b> bmp3.c:1204</div></div>
<div class="ttc" id="astructbmp3__dev_html"><div class="ttname"><a href="structbmp3__dev.html">bmp3_dev</a></div><div class="ttdoc">bmp3 device structure</div><div class="ttdef"><b>Definition:</b> bmp3_defs.h:878</div></div>
<div class="ttc" id="astructbmp3__status_html"><div class="ttname"><a href="structbmp3__status.html">bmp3_status</a></div><div class="ttdoc">bmp3 status flags</div><div class="ttdef"><b>Definition:</b> bmp3_defs.h:661</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
